<!DOCTYPE html>
<html xmlns:th="http://www.thymeleaf.org">
<head>
</head>
<body>
<div th:fragment="refresh">
    <script>
        document.addEventListener('DOMContentLoaded', function() {
            setInterval(function() {
                var url = window.location.href;  // get current url
                var id = "#refresh";
                var xhr = new XMLHttpRequest();

                xhr.onreadystatechange = function xhrStateChange() {
                    if (xhr.readyState === 4) {                       // 4 	DONE 	The operation is complete.
                        try {
                            document.querySelector(id).innerHTML = xhr.responseXML.querySelector(id).innerHTML;
                        } catch (e) {
                            document.querySelector(id).innerHTML = "<p>No network connection</p>";
                        }
                    }
                };

                xhr.open('GET', url);
                xhr.responseType = 'document';
                xhr.send();

            }, 1000);
        });
    </script>
</div>
</body>
</html>